Subject: Re: bug#52897: [PATCH] doc: Add instructions on upgrading the build daemon with doas.

From: Morgan Smith <[email-masked]>
Date: Fri, 31 Dec 2021 23:49:59 -0500

zimoun <[email-masked]> writes:
> Is it installed by default on some distro?

It's originally made by the openBSD guys I think and that's probably the
only place it is pre-installed. (If it matters please fact check me as
that's from memory)

> If not, it implies that ’doas’ user install ’doas’ instead of ’sudo’,
> thus it means these users know how to replace ’sudo’ by whatever other
> commands they would prefer.

Since 99.9% of usecases for sudo and doas are simply "doas thing" I have
no clue how to use either of them and appreciate documentation telling
me what flags to put.

I've explicitly removed sudo from my machine as supposedly sudo is a
large complex codebase that likely has bugs (although that's probably
just openBSD propaganda).

That being said, it is kinda niche.  I say this is a good patch but I
also wouldn't fight dissenters that hard.